Skip to main content

Get the job behind an action queue

GET 

/api/v1/ActionQueue/:actionQueueId/Job

Returns the scheduled job that created the action queue, including its schedule and type. Use it to see when and how a run was scheduled.

Permission required: Requires the Admin, Auditing and Reporting, or App role.

Values for type: 0 = None, 1 = Protection, 2 = PasswordRotation, 3 = PasswordVerification, 4 = HostScan, 5 = DomainSync, 6 = DomainSyncTest, 7 = ActivitySession, 8 = RemoteServiceRegistration, 9 = ServiceRotation, 10 = PasswordRollback, 11 = DomainOUMapping, 12 = ResourceConnectionTest, 13 = WinRmHttp, 14 = Report, 15 = Debug, 16 = CommandPlanRun.

Values for recurrenceType: 0 = None, 1 = Minutes, 2 = Daily, 3 = Weekly, 4 = Monthly.

Request​

Responses​

The job.